Subject: Re: splitting a commit that adds new files

From: Junio C Hamano <[email-masked]>
Date: Sun, 02 Feb 2014 10:15:07 -0800

Duy Nguyen <[email-masked]> writes:

> I usually start splitting a commit with "reset @^" then "add -p" back.
> The problem is "reset @^" does not keep track of new files added in
> HEAD, so I often end up forgetting to add new files back (with "add
> -p"). I'm thinking of making "reset" to do "add -N" automatically for
> me so I won't miss changes in "add -p". But maybe people already know
> how to deal with this case without adding more code?

Is "reset -p" what you are looking for?  I do not use that myself,
though.